Messages
Set Reaction
Set agent reaction to message.
POST
/
conversations
/
{conversationId}
/
messages
/
{messageId}
/
set-reaction
Set agent reaction to message.
curl --request POST \
--url https://1-some-client.some-server.healvi-chat/third-party/v1/conversations/{conversationId}/messages/{messageId}/set-reaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reaction": "<string>"
}
'import requests
url = "https://1-some-client.some-server.healvi-chat/third-party/v1/conversations/{conversationId}/messages/{messageId}/set-reaction"
payload = { "reaction": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reaction: '<string>'})
};
fetch('https://1-some-client.some-server.healvi-chat/third-party/v1/conversations/{conversationId}/messages/{messageId}/set-reaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"conversation_id": 123,
"user_id": 123,
"contents": [
"<unknown>"
],
"agent_reaction": "<string>",
"customer_reaction": "<string>",
"sent_at": "2023-01-01T12:00:00Z",
"reference": "<unknown>",
"latest_error": {
"id": 123,
"message_id": 123,
"original_message": "<string>",
"created_at": "2023-01-01T12:00:00Z"
},
"whatsapp_campaign": {
"id": 123,
"name": "<string>"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
String containing s single emoji. Set null to remove reaction.
Response
200 - application/json
Success
A message within a conversation.
Show child attributes
Show child attributes
⌘I
Set agent reaction to message.
